import { h } from "@stencil/core";
export class BceElementInput {
    render() {
        if (!this.template)
            return null;
        const type = this.template.multiline ? 'textarea' : 'text';
        return [
            h("p", null, this.template.question),
            h("bce-input", { validation: this.template.required ? 'required' : '', type: type })
        ];
    }
    static get is() { return "bce-element-input"; }
    static get originalStyleUrls() { return {
        "$": ["bce-element-input.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["bce-element-input.css"]
    }; }
    static get properties() { return {
        "template": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "Block.ElementInput.Value",
                "resolved": "undefined | { readonly answer: string; readonly question: string; readonly required: boolean; readonly multiline: boolean; readonly min: number; readonly max: number; readonly hasAnswer: boolean; }",
                "references": {
                    "Block": {
                        "location": "import",
                        "path": "../../models/block"
                    }
                }
            },
            "required": false,
            "optional": true,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
